# Client / Server application showing live stock prices.
Just a small project built in one day to practice. Needs refactoring!

## Client
Client built using C# and WPF utilizing a MVVM architecture. 
I also added a Data Access layer that handles the request/response to the server (message broker).

## Server
Server built using C# and .Net Sockets.
<<<<<<< HEAD
The server is setup as a homebrew message broker having different layers consisting of producers and a broker where it conmmunicates with clients also called consumers.


=======
The server is setup as a message broker having different layers consisting of producers and a broker where it conmmunicates with clients also called consumers.


##

Looking forward to our meeting where we can have a discussion about the code and general design of it 😃




## Screenshots

![Alt-Text](/runningApplication.png)
>>>>>>> main
